---
date: 2020-11-13
id: 6e9abc7a-fef2-4450-9694-8311eb70d7cf
title: createFromInterface()
---

# Description

Similar to [createFromImmutable()](20201113123648-createfromimmutable),
but this method creates a date from any object that uses
`DateTimeInterface`

# Syntax

``` php
DateTime::createFromInterface(DateTimeInterface $other);
DateTimeImmutable::createFromInterface(DateTimeInterface $other);
```
